Package org.apache.sling.api.request

# Class SlingRequestEvent

java.lang.Object
org.apache.sling.api.request.SlingRequestEvent

@Deprecated public class SlingRequestEvent extends Object
Deprecated.
Use `SlingJakartaRequestEvent` instead.
represents an event published by the Sling engine while dispatching a request.

This class is not intended to be extended or instantiated by clients.

Since:
  2.1.0 (Sling API Bundle 2.1.0)
See Also:
  - `SlingRequestListener`

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`SlingRequestEvent.EventType`
Deprecated.
type of the event

## Constructor Summary

Constructors
Constructor
Description
`SlingRequestEvent(javax.servlet.ServletContext sc, javax.servlet.ServletRequest request, SlingRequestEvent.EventType type)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`javax.servlet.ServletContext`
`getServletContext()`
Deprecated.
Gets the actual servlet context object as `ServletContext`
`javax.servlet.ServletRequest`
`getServletRequest()`
Deprecated.
Gets the actual request object as `ServletRequest`
`SlingRequestEvent.EventType`
`getType()`
Deprecated.
get the type of the event, eg.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SlingRequestEvent

public SlingRequestEvent(javax.servlet.ServletContext sc, javax.servlet.ServletRequest request, SlingRequestEvent.EventType type)
Deprecated.

## Method Details

### getServletContext

public javax.servlet.ServletContext getServletContext()
Deprecated.
Gets the actual servlet context object as `ServletContext`

Returns:
  the actual servlet context.

### getServletRequest

public javax.servlet.ServletRequest getServletRequest()
Deprecated.
Gets the actual request object as `ServletRequest`

Returns:
  the actual request object as `ServletRequest`

### getType

public SlingRequestEvent.EventType getType()
Deprecated.
get the type of the event, eg. EVENT_INIT or EVENT_DESTROY

Returns:
  the type of the event as `EventType`, eg. EVENT_INIT or EVENT_DESTROY